import markup from '../lang/markup.mjs';
import css from '../lang/css.mjs';
import clike from '../lang/clike.mjs';
import regex from '../lang/regex.mjs';
import javascript from '../lang/javascript.mjs';
import abap from '../lang/abap.mjs';
import abnf from '../lang/abnf.mjs';
import actionscript from '../lang/actionscript.mjs';
import ada from '../lang/ada.mjs';
import agda from '../lang/agda.mjs';
import al from '../lang/al.mjs';
import antlr4 from '../lang/antlr4.mjs';
import apacheconf from '../lang/apacheconf.mjs';
import sql from '../lang/sql.mjs';
import apex from '../lang/apex.mjs';
import apl from '../lang/apl.mjs';
import applescript from '../lang/applescript.mjs';
import aql from '../lang/aql.mjs';
import c from '../lang/c.mjs';
import cpp from '../lang/cpp.mjs';
import arduino from '../lang/arduino.mjs';
import arff from '../lang/arff.mjs';
import armasm from '../lang/armasm.mjs';
import bash from '../lang/bash.mjs';
import yaml from '../lang/yaml.mjs';
import markdown from '../lang/markdown.mjs';
import arturo from '../lang/arturo.mjs';
import asciidoc from '../lang/asciidoc.mjs';
import csharp from '../lang/csharp.mjs';
import aspnet from '../lang/aspnet.mjs';
import asm6502 from '../lang/asm6502.mjs';
import asmatmel from '../lang/asmatmel.mjs';
import autohotkey from '../lang/autohotkey.mjs';
import autoit from '../lang/autoit.mjs';
import avisynth from '../lang/avisynth.mjs';
import avroIdl from '../lang/avro-idl.mjs';
import awk from '../lang/awk.mjs';
import basic from '../lang/basic.mjs';
import batch from '../lang/batch.mjs';
import bbcode from '../lang/bbcode.mjs';
import bbj from '../lang/bbj.mjs';
import bicep from '../lang/bicep.mjs';
import birb from '../lang/birb.mjs';
import bison from '../lang/bison.mjs';
import bnf from '../lang/bnf.mjs';
import bqn from '../lang/bqn.mjs';
import brainfuck from '../lang/brainfuck.mjs';
import brightscript from '../lang/brightscript.mjs';
import bro from '../lang/bro.mjs';
import bsl from '../lang/bsl.mjs';
import cfscript from '../lang/cfscript.mjs';
import chaiscript from '../lang/chaiscript.mjs';
import cil from '../lang/cil.mjs';
import cilkc from '../lang/cilkc.mjs';
import cilkcpp from '../lang/cilkcpp.mjs';
import clojure from '../lang/clojure.mjs';
import cmake from '../lang/cmake.mjs';
import cobol from '../lang/cobol.mjs';
import coffeescript from '../lang/coffeescript.mjs';
import concurnas from '../lang/concurnas.mjs';
import csp from '../lang/csp.mjs';
import cooklang from '../lang/cooklang.mjs';
import coq from '../lang/coq.mjs';
import ruby from '../lang/ruby.mjs';
import crystal from '../lang/crystal.mjs';
import cssExtras from '../lang/css-extras.mjs';
import csv from '../lang/csv.mjs';
import cue from '../lang/cue.mjs';
import cypher from '../lang/cypher.mjs';
import d from '../lang/d.mjs';
import dart from '../lang/dart.mjs';
import dataweave from '../lang/dataweave.mjs';
import dax from '../lang/dax.mjs';
import dhall from '../lang/dhall.mjs';
import diff from '../lang/diff.mjs';
import markupTemplating from '../lang/markup-templating.mjs';
import django from '../lang/django.mjs';
import dnsZoneFile from '../lang/dns-zone-file.mjs';
import docker from '../lang/docker.mjs';
import dot from '../lang/dot.mjs';
import ebnf from '../lang/ebnf.mjs';
import editorconfig from '../lang/editorconfig.mjs';
import eiffel from '../lang/eiffel.mjs';
import ejs from '../lang/ejs.mjs';
import elixir from '../lang/elixir.mjs';
import elm from '../lang/elm.mjs';
import lua from '../lang/lua.mjs';
import etlua from '../lang/etlua.mjs';
import erb from '../lang/erb.mjs';
import erlang from '../lang/erlang.mjs';
import excelFormula from '../lang/excel-formula.mjs';
import fsharp from '../lang/fsharp.mjs';
import factor from '../lang/factor.mjs';
import $false from '../lang/false.mjs';
import firestoreSecurityRules from '../lang/firestore-security-rules.mjs';
import flow from '../lang/flow.mjs';
import fortran from '../lang/fortran.mjs';
import ftl from '../lang/ftl.mjs';
import gml from '../lang/gml.mjs';
import gap from '../lang/gap.mjs';
import gcode from '../lang/gcode.mjs';
import gdscript from '../lang/gdscript.mjs';
import gedcom from '../lang/gedcom.mjs';
import gettext from '../lang/gettext.mjs';
import gherkin from '../lang/gherkin.mjs';
import git from '../lang/git.mjs';
import glsl from '../lang/glsl.mjs';
import gn from '../lang/gn.mjs';
import linkerScript from '../lang/linker-script.mjs';
import go from '../lang/go.mjs';
import goModule from '../lang/go-module.mjs';
import gradle from '../lang/gradle.mjs';
import graphql from '../lang/graphql.mjs';
import groovy from '../lang/groovy.mjs';
import less from '../lang/less.mjs';
import scss from '../lang/scss.mjs';
import textile from '../lang/textile.mjs';
import haml from '../lang/haml.mjs';
import handlebars from '../lang/handlebars.mjs';
import haskell from '../lang/haskell.mjs';
import haxe from '../lang/haxe.mjs';
import hcl from '../lang/hcl.mjs';
import hlsl from '../lang/hlsl.mjs';
import hoon from '../lang/hoon.mjs';
import hpkp from '../lang/hpkp.mjs';
import hsts from '../lang/hsts.mjs';
import json from '../lang/json.mjs';
import uri from '../lang/uri.mjs';
import http from '../lang/http.mjs';
import ichigojam from '../lang/ichigojam.mjs';
import icon from '../lang/icon.mjs';
import icuMessageFormat from '../lang/icu-message-format.mjs';
import idris from '../lang/idris.mjs';
import ignore from '../lang/ignore.mjs';
import inform7 from '../lang/inform7.mjs';
import ini from '../lang/ini.mjs';
import io from '../lang/io.mjs';
import j from '../lang/j.mjs';
import java from '../lang/java.mjs';
import php from '../lang/php.mjs';
import javadoclike from '../lang/javadoclike.mjs';
import scala from '../lang/scala.mjs';
import javadoc from '../lang/javadoc.mjs';
import javastacktrace from '../lang/javastacktrace.mjs';
import jexl from '../lang/jexl.mjs';
import jolie from '../lang/jolie.mjs';
import jq from '../lang/jq.mjs';
import jsTemplates from '../lang/js-templates.mjs';
import typescript from '../lang/typescript.mjs';
import jsdoc from '../lang/jsdoc.mjs';
import n4js from '../lang/n4js.mjs';
import jsExtras from '../lang/js-extras.mjs';
import json5 from '../lang/json5.mjs';
import jsonp from '../lang/jsonp.mjs';
import jsstacktrace from '../lang/jsstacktrace.mjs';
import julia from '../lang/julia.mjs';
import keepalived from '../lang/keepalived.mjs';
import keyman from '../lang/keyman.mjs';
import kotlin from '../lang/kotlin.mjs';
import kumir from '../lang/kumir.mjs';
import kusto from '../lang/kusto.mjs';
import latex from '../lang/latex.mjs';
import latte from '../lang/latte.mjs';
import scheme from '../lang/scheme.mjs';
import lilypond from '../lang/lilypond.mjs';
import liquid from '../lang/liquid.mjs';
import lisp from '../lang/lisp.mjs';
import livescript from '../lang/livescript.mjs';
import llvm from '../lang/llvm.mjs';
import log from '../lang/log.mjs';
import lolcode from '../lang/lolcode.mjs';
import magma from '../lang/magma.mjs';
import makefile from '../lang/makefile.mjs';
import mata from '../lang/mata.mjs';
import matlab from '../lang/matlab.mjs';
import maxscript from '../lang/maxscript.mjs';
import mel from '../lang/mel.mjs';
import mermaid from '../lang/mermaid.mjs';
import metafont from '../lang/metafont.mjs';
import mizar from '../lang/mizar.mjs';
import mongodb from '../lang/mongodb.mjs';
import monkey from '../lang/monkey.mjs';
import moonscript from '../lang/moonscript.mjs';
import n1ql from '../lang/n1ql.mjs';
import nand2tetrisHdl from '../lang/nand2tetris-hdl.mjs';
import naniscript from '../lang/naniscript.mjs';
import nasm from '../lang/nasm.mjs';
import neon from '../lang/neon.mjs';
import nevod from '../lang/nevod.mjs';
import nginx from '../lang/nginx.mjs';
import nim from '../lang/nim.mjs';
import nix from '../lang/nix.mjs';
import nsis from '../lang/nsis.mjs';
import objectivec from '../lang/objectivec.mjs';
import ocaml from '../lang/ocaml.mjs';
import odin from '../lang/odin.mjs';
import opencl from '../lang/opencl.mjs';
import openqasm from '../lang/openqasm.mjs';
import oz from '../lang/oz.mjs';
import parigp from '../lang/parigp.mjs';
import parser from '../lang/parser.mjs';
import pascal from '../lang/pascal.mjs';
import pascaligo from '../lang/pascaligo.mjs';
import psl from '../lang/psl.mjs';
import pcaxis from '../lang/pcaxis.mjs';
import peoplecode from '../lang/peoplecode.mjs';
import perl from '../lang/perl.mjs';
import phpdoc from '../lang/phpdoc.mjs';
import phpExtras from '../lang/php-extras.mjs';
import plantUml from '../lang/plant-uml.mjs';
import plsql from '../lang/plsql.mjs';
import powerquery from '../lang/powerquery.mjs';
import powershell from '../lang/powershell.mjs';
import processing from '../lang/processing.mjs';
import prolog from '../lang/prolog.mjs';
import promql from '../lang/promql.mjs';
import properties from '../lang/properties.mjs';
import protobuf from '../lang/protobuf.mjs';
import stylus from '../lang/stylus.mjs';
import twig from '../lang/twig.mjs';
import pug from '../lang/pug.mjs';
import puppet from '../lang/puppet.mjs';
import pure from '../lang/pure.mjs';
import purebasic from '../lang/purebasic.mjs';
import purescript from '../lang/purescript.mjs';
import python from '../lang/python.mjs';
import qsharp from '../lang/qsharp.mjs';
import q from '../lang/q.mjs';
import qml from '../lang/qml.mjs';
import qore from '../lang/qore.mjs';
import r from '../lang/r.mjs';
import racket from '../lang/racket.mjs';
import cshtml from '../lang/cshtml.mjs';
import jsx from '../lang/jsx.mjs';
import tsx from '../lang/tsx.mjs';
import reason from '../lang/reason.mjs';
import rego from '../lang/rego.mjs';
import renpy from '../lang/renpy.mjs';
import rescript from '../lang/rescript.mjs';
import rest from '../lang/rest.mjs';
import rip from '../lang/rip.mjs';
import roboconf from '../lang/roboconf.mjs';
import robotframework from '../lang/robotframework.mjs';
import rust from '../lang/rust.mjs';
import sas from '../lang/sas.mjs';
import sass from '../lang/sass.mjs';
import shellSession from '../lang/shell-session.mjs';
import smali from '../lang/smali.mjs';
import smalltalk from '../lang/smalltalk.mjs';
import smarty from '../lang/smarty.mjs';
import sml from '../lang/sml.mjs';
import solidity from '../lang/solidity.mjs';
import solutionFile from '../lang/solution-file.mjs';
import soy from '../lang/soy.mjs';
import turtle from '../lang/turtle.mjs';
import sparql from '../lang/sparql.mjs';
import splunkSpl from '../lang/splunk-spl.mjs';
import sqf from '../lang/sqf.mjs';
import squirrel from '../lang/squirrel.mjs';
import stan from '../lang/stan.mjs';
import stata from '../lang/stata.mjs';
import iecst from '../lang/iecst.mjs';
import supercollider from '../lang/supercollider.mjs';
import swift from '../lang/swift.mjs';
import systemd from '../lang/systemd.mjs';
import t4Templating from '../lang/t4-templating.mjs';
import t4Cs from '../lang/t4-cs.mjs';
import vbnet from '../lang/vbnet.mjs';
import t4Vb from '../lang/t4-vb.mjs';
import tap from '../lang/tap.mjs';
import tcl from '../lang/tcl.mjs';
import tt2 from '../lang/tt2.mjs';
import toml from '../lang/toml.mjs';
import tremor from '../lang/tremor.mjs';
import typoscript from '../lang/typoscript.mjs';
import unrealscript from '../lang/unrealscript.mjs';
import uorazor from '../lang/uorazor.mjs';
import v from '../lang/v.mjs';
import vala from '../lang/vala.mjs';
import velocity from '../lang/velocity.mjs';
import verilog from '../lang/verilog.mjs';
import vhdl from '../lang/vhdl.mjs';
import vim from '../lang/vim.mjs';
import visualBasic from '../lang/visual-basic.mjs';
import warpscript from '../lang/warpscript.mjs';
import wasm from '../lang/wasm.mjs';
import webIdl from '../lang/web-idl.mjs';
import wgsl from '../lang/wgsl.mjs';
import wiki from '../lang/wiki.mjs';
import wolfram from '../lang/wolfram.mjs';
import wren from '../lang/wren.mjs';
import xeora from '../lang/xeora.mjs';
import xmlDoc from '../lang/xml-doc.mjs';
import xojo from '../lang/xojo.mjs';
import xquery from '../lang/xquery.mjs';
import yang from '../lang/yang.mjs';
import zig from '../lang/zig.mjs';
import { refractor } from './core.mjs';

/**
 * @typedef {import('./core.js').Syntax} Syntax
 */


refractor.register(markup);
refractor.register(css);
refractor.register(clike);
refractor.register(regex);
refractor.register(javascript);
refractor.register(abap);
refractor.register(abnf);
refractor.register(actionscript);
refractor.register(ada);
refractor.register(agda);
refractor.register(al);
refractor.register(antlr4);
refractor.register(apacheconf);
refractor.register(sql);
refractor.register(apex);
refractor.register(apl);
refractor.register(applescript);
refractor.register(aql);
refractor.register(c);
refractor.register(cpp);
refractor.register(arduino);
refractor.register(arff);
refractor.register(armasm);
refractor.register(bash);
refractor.register(yaml);
refractor.register(markdown);
refractor.register(arturo);
refractor.register(asciidoc);
refractor.register(csharp);
refractor.register(aspnet);
refractor.register(asm6502);
refractor.register(asmatmel);
refractor.register(autohotkey);
refractor.register(autoit);
refractor.register(avisynth);
refractor.register(avroIdl);
refractor.register(awk);
refractor.register(basic);
refractor.register(batch);
refractor.register(bbcode);
refractor.register(bbj);
refractor.register(bicep);
refractor.register(birb);
refractor.register(bison);
refractor.register(bnf);
refractor.register(bqn);
refractor.register(brainfuck);
refractor.register(brightscript);
refractor.register(bro);
refractor.register(bsl);
refractor.register(cfscript);
refractor.register(chaiscript);
refractor.register(cil);
refractor.register(cilkc);
refractor.register(cilkcpp);
refractor.register(clojure);
refractor.register(cmake);
refractor.register(cobol);
refractor.register(coffeescript);
refractor.register(concurnas);
refractor.register(csp);
refractor.register(cooklang);
refractor.register(coq);
refractor.register(ruby);
refractor.register(crystal);
refractor.register(cssExtras);
refractor.register(csv);
refractor.register(cue);
refractor.register(cypher);
refractor.register(d);
refractor.register(dart);
refractor.register(dataweave);
refractor.register(dax);
refractor.register(dhall);
refractor.register(diff);
refractor.register(markupTemplating);
refractor.register(django);
refractor.register(dnsZoneFile);
refractor.register(docker);
refractor.register(dot);
refractor.register(ebnf);
refractor.register(editorconfig);
refractor.register(eiffel);
refractor.register(ejs);
refractor.register(elixir);
refractor.register(elm);
refractor.register(lua);
refractor.register(etlua);
refractor.register(erb);
refractor.register(erlang);
refractor.register(excelFormula);
refractor.register(fsharp);
refractor.register(factor);
refractor.register($false);
refractor.register(firestoreSecurityRules);
refractor.register(flow);
refractor.register(fortran);
refractor.register(ftl);
refractor.register(gml);
refractor.register(gap);
refractor.register(gcode);
refractor.register(gdscript);
refractor.register(gedcom);
refractor.register(gettext);
refractor.register(gherkin);
refractor.register(git);
refractor.register(glsl);
refractor.register(gn);
refractor.register(linkerScript);
refractor.register(go);
refractor.register(goModule);
refractor.register(gradle);
refractor.register(graphql);
refractor.register(groovy);
refractor.register(less);
refractor.register(scss);
refractor.register(textile);
refractor.register(haml);
refractor.register(handlebars);
refractor.register(haskell);
refractor.register(haxe);
refractor.register(hcl);
refractor.register(hlsl);
refractor.register(hoon);
refractor.register(hpkp);
refractor.register(hsts);
refractor.register(json);
refractor.register(uri);
refractor.register(http);
refractor.register(ichigojam);
refractor.register(icon);
refractor.register(icuMessageFormat);
refractor.register(idris);
refractor.register(ignore);
refractor.register(inform7);
refractor.register(ini);
refractor.register(io);
refractor.register(j);
refractor.register(java);
refractor.register(php);
refractor.register(javadoclike);
refractor.register(scala);
refractor.register(javadoc);
refractor.register(javastacktrace);
refractor.register(jexl);
refractor.register(jolie);
refractor.register(jq);
refractor.register(jsTemplates);
refractor.register(typescript);
refractor.register(jsdoc);
refractor.register(n4js);
refractor.register(jsExtras);
refractor.register(json5);
refractor.register(jsonp);
refractor.register(jsstacktrace);
refractor.register(julia);
refractor.register(keepalived);
refractor.register(keyman);
refractor.register(kotlin);
refractor.register(kumir);
refractor.register(kusto);
refractor.register(latex);
refractor.register(latte);
refractor.register(scheme);
refractor.register(lilypond);
refractor.register(liquid);
refractor.register(lisp);
refractor.register(livescript);
refractor.register(llvm);
refractor.register(log);
refractor.register(lolcode);
refractor.register(magma);
refractor.register(makefile);
refractor.register(mata);
refractor.register(matlab);
refractor.register(maxscript);
refractor.register(mel);
refractor.register(mermaid);
refractor.register(metafont);
refractor.register(mizar);
refractor.register(mongodb);
refractor.register(monkey);
refractor.register(moonscript);
refractor.register(n1ql);
refractor.register(nand2tetrisHdl);
refractor.register(naniscript);
refractor.register(nasm);
refractor.register(neon);
refractor.register(nevod);
refractor.register(nginx);
refractor.register(nim);
refractor.register(nix);
refractor.register(nsis);
refractor.register(objectivec);
refractor.register(ocaml);
refractor.register(odin);
refractor.register(opencl);
refractor.register(openqasm);
refractor.register(oz);
refractor.register(parigp);
refractor.register(parser);
refractor.register(pascal);
refractor.register(pascaligo);
refractor.register(psl);
refractor.register(pcaxis);
refractor.register(peoplecode);
refractor.register(perl);
refractor.register(phpdoc);
refractor.register(phpExtras);
refractor.register(plantUml);
refractor.register(plsql);
refractor.register(powerquery);
refractor.register(powershell);
refractor.register(processing);
refractor.register(prolog);
refractor.register(promql);
refractor.register(properties);
refractor.register(protobuf);
refractor.register(stylus);
refractor.register(twig);
refractor.register(pug);
refractor.register(puppet);
refractor.register(pure);
refractor.register(purebasic);
refractor.register(purescript);
refractor.register(python);
refractor.register(qsharp);
refractor.register(q);
refractor.register(qml);
refractor.register(qore);
refractor.register(r);
refractor.register(racket);
refractor.register(cshtml);
refractor.register(jsx);
refractor.register(tsx);
refractor.register(reason);
refractor.register(rego);
refractor.register(renpy);
refractor.register(rescript);
refractor.register(rest);
refractor.register(rip);
refractor.register(roboconf);
refractor.register(robotframework);
refractor.register(rust);
refractor.register(sas);
refractor.register(sass);
refractor.register(shellSession);
refractor.register(smali);
refractor.register(smalltalk);
refractor.register(smarty);
refractor.register(sml);
refractor.register(solidity);
refractor.register(solutionFile);
refractor.register(soy);
refractor.register(turtle);
refractor.register(sparql);
refractor.register(splunkSpl);
refractor.register(sqf);
refractor.register(squirrel);
refractor.register(stan);
refractor.register(stata);
refractor.register(iecst);
refractor.register(supercollider);
refractor.register(swift);
refractor.register(systemd);
refractor.register(t4Templating);
refractor.register(t4Cs);
refractor.register(vbnet);
refractor.register(t4Vb);
refractor.register(tap);
refractor.register(tcl);
refractor.register(tt2);
refractor.register(toml);
refractor.register(tremor);
refractor.register(typoscript);
refractor.register(unrealscript);
refractor.register(uorazor);
refractor.register(v);
refractor.register(vala);
refractor.register(velocity);
refractor.register(verilog);
refractor.register(vhdl);
refractor.register(vim);
refractor.register(visualBasic);
refractor.register(warpscript);
refractor.register(wasm);
refractor.register(webIdl);
refractor.register(wgsl);
refractor.register(wiki);
refractor.register(wolfram);
refractor.register(wren);
refractor.register(xeora);
refractor.register(xmlDoc);
refractor.register(xojo);
refractor.register(xquery);
refractor.register(yang);
refractor.register(zig);

export { refractor };
